* {
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    background-color: rgb(199, 199, 228);
    color: black;
}

#header {
    width: 100%;
    height: 90vh;
    background-image: url(LogoofArtistApu.jpg);
    background-size: 100% auto;
    background-position: center;
    background-repeat: no-repeat;
}

.container {
    padding: 10px 10%;
}

nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

nav img {
    width: 70px;
    height: 70px;
}

.logo {
    width: 140px;
}

nav ul li {
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
}

nav ul li a {
    color: rgb(102, 67, 3);
    text-decoration: none;
    font-size: 18px;
    position: relative;
}

nav ul li a::after {
    content: '';
    width: 0%;
    height: 3px;
    background: rgb(151, 151, 255);
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.5s;
}

nav ul li a:hover::after {
    width: 100%;
}

.header-text {
    margin-top: 20%;
    font-size: 30px;
}

.header-text h1 {
    font-size: 10px;
    margin-top: 20px;
}

.header-text h1 span {
    color: rgb(231, 81, 119);
}


/*------about-----*/

#about {
    padding: 80px 0;
    color: blueviolet;
}

.row {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.about-col-1 {
    flex-basis: 30%;
}

.about-col-1 img {
    width: 100%;
    border-radius: 15px;
}

.about-col-2 {
    flex-basis: 60%;
}

.sub-title {
    font-size: 30px;
    font-weight: 600;
    color: rgb(155, 75, 75);
}

.tab-titles {
    display: flex;
    margin: 10px 0 20px;
}

.tab-links {
    margin-right: 500px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}

.tab-links::after {
    content: '';
    width: 0;
    height: 3px;
    background: red;
    position: absolute;
    left: 0;
    bottom: -8px;
    transition: 0.5s;
}

.tab-links.active-link::after {
    width: 50%;
}

.tab-contents {
    list-style: none;
    margin: 10px 0;
}

.tab-contents ul li span {
    color: rgb(145, 52, 52);
    font-size: 20px;
}

.tab-contents {
    display: none;
}

.tab-contents.active-tab {
    display: block;
}


/*------services-----*/

#services {
    padding: 30px 0;
}

.services-list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}

.services-list div {
    background: rgb(212, 208, 199);
    padding: 40px;
    font-size: 13px;
    font-weight: 300;
    border-right: 10px;
}

.services-list div i {
    font-size: 35px;
    margin-bottom: 30px;
}

.services-list div h2 {
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;
}

.services-list div a {
    text-decoration: none;
    color: rgb(17, 121, 121);
    font-size: 12px;
    margin-top: 20px;
    display: inline-block;
}

* {
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
}

body {
    background-color: rgb(199, 199, 228);
    color: black;
}

.container {
    padding: 10px 10%;
}

nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

nav img {
    width: 70px;
    height: 70px;
}

.logo {
    width: 140px;
}

nav ul li {
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
}

nav ul li a {
    color: rgb(102, 67, 3);
    text-decoration: none;
    font-size: 18px;
    position: relative;
}

nav ul li a::after {
    content: '';
    width: 0%;
    height: 3px;
    background: rgb(151, 151, 255);
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.5s;
}

nav ul li a:hover::after {
    width: 100%;
}

.header-text {
    margin-top: 20%;
    font-size: 30px;
}

.header-text h1 {
    font-size: 10px;
    margin-top: 20px;
}

.header-text h1 span {
    color: rgb(231, 81, 119);
}


/*------about-----*/

#about {
    padding: 80px 0;
    color: blueviolet;
}

.row {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.about-col-1 {
    flex-basis: 30%;
}

.about-col-1 img {
    width: 100%;
    border-radius: 15px;
}

.about-col-2 {
    flex-basis: 60%;
}

.sub-title {
    font-size: 30px;
    font-weight: 600;
    color: rgb(155, 75, 75);
}

.tab-titles {
    display: flex;
    margin: 10px 0 20px;
}

.tab-links {
    margin-right: 500px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}

.tab-links::after {
    content: '';
    width: 0;
    height: 3px;
    background: red;
    position: absolute;
    left: 0;
    bottom: -8px;
    transition: 0.5s;
}

.tab-links.active-link::after {
    width: 50%;
}

.tab-contents {
    list-style: none;
    margin: 10px 0;
}

.tab-contents ul li span {
    color: rgb(145, 52, 52);
    font-size: 20px;
}

.tab-contents {
    display: none;
}

.tab-contents.active-tab {
    display: block;
}


/*------services-----*/

#services {
    padding: 30px 0;
}

.services-list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}

.services-list div {
    background: rgb(212, 208, 199);
    padding: 40px;
    font-size: 13px;
    font-weight: 300;
    border-radius: 10px;
    transition: background 0.5s, transform 0.5s;
}

.services-list div i {
    font-size: 50px;
    margin-bottom: 30px;
}

.services-list div h2 {
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;
}

.services-list div:hover {
    background: rgb(151, 151, 255);
    transform: translateY(-10px);
}


/*--------portfolio-------*/

#porttfolio {
    padding: 50px 0;
}

.work-lists {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}

.work {
    border-radius: 10px;
    position: relative;
    overflow: hidden;
}

.work img {
    width: 100%;
    border-radius: 10px;
    display: block;
    transition: transform0.5s;
}

#portfolio img {
    width: 550px;
    height: 550px;
}

.layer {
    width: 100%;
    height: 0%;
    background: linear-gradient(rgba(212, 150, 150, 0.753), #e49eaed0);
    border-radius: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    text-align: center;
    font-size: 14px;
    color: antiquewhite;
    transition: height 0.5s;
}

.layer h3 {
    color: rgb(219, 247, 247);
    font-weight: 500;
    margin-bottom: 20px;
}

.layer a {
    margin-top: 20px;
    color: #ff004f;
    text-decoration: none;
    font-size: 18px;
    line-height: 60px;
    background: #f1c7c7;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    text-align: center;
}

.work:hover img {
    transform: scale(1.1);
}

.work:hover .layer {
    height: 100%;
}

.btn {
    display: block;
    margin: 50px auto;
    width: fit-content;
    border: 1px solid #ffffff;
    padding: 14px 50px;
    border-radius: 6px;
    text-decoration: none;
    color: #d62c2cfd;
    transition: bsckground 0.5s;
}

.btn:hover {
    background: #ffff;
}


/*------contact------*/

.contact-left {
    flex-basis: 35%;
}

.contact-left p {
    margin-top: 30px;
}

.contact-left p i {
    color: #ff004f;
    margin-right: 15px;
    font-size: 25px;
}

.contact-right {
    flex-basis: 60%;
}

.social-media {
    margin-top: 30px;
}

.social-media a {
    text-decoration: none;
    font-size: 30px;
    margin-right: 15px;
    color: #0e0d0d;
    display: inline-block;
    transform: transition 0.5s;
}

.social-media a:hover {
    color: #ff004f;
    transform: translateY(-5px);
}

.btn2 {
    padding: 10px 40px;
    font-size: 14px;
    margin-top: 20px;
    cursor: pointer;
}

.contact-right form {
    width: 100%;
}

form input,
form textarea {
    width: 100%;
    border: 0;
    outline: none;
    background: #faf6f6;
    padding: 15px;
    margin: 15px 0;
    color: #000000;
    font-size: 10px;
    border-radius: 6px;
}

.copyright {
    width: 100%;
    text-align: center;
    padding: 25px;
    background: #eee6e6;
    font-weight: 300;
    margin-top: 20px;
}

nav.fa-solid {
    display: none;
    font-size: 25px;
}


/*-----css for mobile screen-----*/

@media only screen and (min-width:300px) and (max-width:600px) {
    .container {
        padding: 10px;
    }
}

#about img {
    width: 100%;
    height: auto;
}

.header-text {
    margin-top: 100%;
    font-size: 16px;
}

.header-text h1 {
    font-size: 24px;
}

nav.fa-solid {
    display: block;
    font-size: 25px;
}

nav ul {
    background: #ff88ae;
    position: fixed;
    top: 0;
    right: 0;
    width: 200px;
    height: 100vh;
    padding-top: 50px;
    z-index: 2;
    transition: right 0.5s;
}

nav ul li {
    display: block;
    margin: 25px;
    margin: 10px 10px;
}

nav ul li a {
    font-size: 16px;
}

nav ul .fa-solid {
    position: absolute;
    top: 25px;
    left: 25px;
    cursor: pointer;
}

.sub-title {
    font-size: 40px;
}

.tab-links {
    margin-right: 200px;
    font-size: 16px;
}

.tab-contents ul li span {
    font-size: 16px;
}

.services-list div {
    padding: 20px;
    font-size: 12px;
}

.services-list div i {
    font-size: 30px;
    margin-bottom: 20px;
}

.services-list div h2 {
    font-size: 24px;
    margin-bottom: 10px;
}

#portfolio img {
    width: 100%;
    height: auto;
}

.layer {
    font-size: 12px;
}

.layer h3 {
    font-size: 16px;
    margin-bottom: 10px;
}

.layer a {
    font-size: 16px;
    line-height: 40px;
    width: 40px;
    height: 40px;
    border-radius: 50%;
}

.btn {
    margin: 30px auto;
    padding: 10px 30px;
    font-size: 12px;
}

.contact-left p i {
    font-size: 20px;
    margin-right: 10px;
}

.social-media a {
    font-size: 24px;
    margin-right: 10px;
}

.btn2 {
    padding: 8px 30px;
    font-size: 12px;
}

form input,
form textarea {
    padding: 10px;
    margin: 10px 0;
    font-size: 12px;
}

#about-col-1 {
    margin-bottom: 25px;
    background-image: url(p.png);
    width: 100%;
    background-size: cover;
    background-position: center;
}

.about-col-2 {
    font-size: 12px;
}

.tab-links {
    font-size: 12px;
    margin-right: 18px;
}

.contact-left,
.contact-right {
    flex-basis: 100%;
}

.social-media a {
    font-size: 20px;
}

.btn2 {
    padding: 8px 30px;
    font-size: 12px;
}

form input,
form textarea {
    font-size: 12px;
}

.copyright {
    font-size: 14px;
}